Status: Resolved Priority: Must have
Author: Karol Gusak Category: I18n
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement Input Parser subsystem
Description

Input Parser is a class which parses user's input based on locale used by him / her, and converts it to the internal representation of a
value (number, date, time, currency).

Problems like currency conversion or timezone need to be taken into account.

Additional classes for FLOW3 Validation subsystem will be implemented, and they will use Input Parser's API.

Associated revisions
Revision 8cd96e0d - 2010-07-25 13:41 - Karol Gusak

[+FEATURE] FLOW3 (I18n): Numbers, date and time parsers added with basic functionality. Relates to #7725.
[~TASK] FLOW3 (I18n): Minor changes in CLDR Readers and in Formatters.

Revision b9f35285 - 2010-07-28 16:31 - Karol Gusak

[~TASK] FLOW3 (I18n): Minor name changes in Parsers. Relates to #7725.

Revision 3c6e2a0e - 2010-07-29 18:31 - Karol Gusak

[+FEATURE] FLOW3 (I18n): Added lenient parsing for NumberParser. Relates to #7725.

Revision 1e446898 - 2010-08-01 16:55 - Karol Gusak

[+FEATURE] FLOW3 (I18n): Added lenient parsing for DatetimeParser. Relates to #7725.

History
#1 - 2010-07-17 14:16 - Karol Gusak
- Status changed from New to Accepted

#2 - 2010-07-25 14:10 - Karol Gusak
- % Done changed from 0 to 50

#3 - 2010-08-10 18:12 - Karol Gusak
- Status changed from Accepted to Resolved
- % Done changed from 50 to 100
#4 - 2010-08-18 10:48 - Karsten Dambekalns
- Target version set to 1.0 alpha 11
